<?php
// +---------------------------------------------+
// |     Copyright  2004  2007 mnProjects      |
// |     http://www.mnprojects.com               |
// |     DreamStats System by Miguel Nunes       |
// +---------------------------------------------+

error_reporting(E_ALL ^ E_NOTICE);

################################# Needed Stuff #################################

include('../config.php');
include('../includes/core.php');
include('./adminprotection.php');



################################ Authentication ################################

if ($protectadmin == "true")
{
    require_once("./auth_adminonly.php");
}

if (isset($_GET['logout']))
{
    include('source/logout.php');
}



################################# Path to css ##################################

$admin_css_path = "css_and_java/adminstyle.css";



################################# Form Action ##################################

$editFormAction = $_SERVER['PHP_SELF'];



############################# Database Connection ##############################

include('../includes/mysql.php');



##################### Get Skin and Language Information ########################

@include('../skins/' . $row_lskin['skin'] . '/info.php');
@include('../languages/' . $row_lskin['language'] . '/' . $dsf->langprefix . 'lang.php');


#################################### Errors ####################################

 if ($protectadmin !== "true") { $the_errors[] = 'WARNING!! - Your admin panel is not protected! You disabled admin protection because you could not stay logged in the admin but you MUST enable the admin protection again after making your changes! Statistics page is disabled.'; }
 if ($row_svip['serverip'] == "xxx.xxx.xxx.xxx") { $the_errors[] = 'The server IP is not set, click in "Server IP" in the menu to add a server ip.'; }
 if ($row_lskin['language'] == "") { $the_errors[] = 'WARNING!! - No language set, please go to Configuration and select a language.'; }
 if ($row_lskin['skin'] == "") { $the_errors[] = 'WARNING!! - No skin set, please go to Configuration and select a skin.'; }
 if ($row_frontpage['ptitle'] == "") { $the_errors[] = 'Warn - Page title info is empty...'; }
 if ($row_frontpage['offimg'] == "") { $the_errors[] = 'Warn - Server Offline Image url is empty...'; }
 if ($row_frontpage['tblsize'] == "") { $the_errors[] = 'Warn - Main Table Size info is empty...'; }
 if ($row_frontpage['tablepos'] == "") { $the_errors[] = 'Warn - Main Table position info is empty...'; }
 if ($row_frontpage['mapimages'] == "") { $the_errors[] = 'Warn - Map Images format info is empty...'; }
 if (file_exists('../install')) { $the_errors[] = 'WARNING!! - Install folder is present, please DELETE it now for safety reasons!'; }
 if ($row_conftable['dsonline'] == "Yes") { $the_errors[] = 'The statistics page is currently offline, <a href="configuration.php">Click here</a> if you want to put it online again.'; }
 if ($row_admintable['adminuser'] == "admin" || $row_admintable['adminpass'] == "admin") { $the_errors[] = 'Danger!! - You are using default admin username and password, please change it for safety reasons.'; }


################################## Functions ###################################

function PageName($pagetitle)
{
   echo $pagetitle;
}

function UpperNavigation()
{
   echo '<td width="170" class="top_buttons" onmouseover="this.className=\'top_buttons_hover\';" onmouseout="this.className=\'top_buttons\'" align="center" valign="middle">
                                <font size="1"><a target="_blank" class="upnav" href="../index.php">View Site</a></font></td>
                                <td width="170" class="top_buttons" onmouseover="this.className=\'top_buttons_hover\';" onmouseout="this.className=\'top_buttons\'" align="center" valign="middle">
                                <font size="1"><a class="upnav" href="securitycheck.php">Security Check</a></font></td>
                                <td width="155" class="top_buttons_end" onmouseover="this.className=\'top_buttons_end_hover\';" onmouseout="this.className=\'top_buttons_end\'" align="center" valign="middle">
                                <font size="1"><a class="upnav" href="?logout">Logout</a></font></td>';
}

function NavigationMenu()
{

   echo '<table class="menutables" width="100%" cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td class="menutablesDesc" valign="middle">Configuration</td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'" valign="middle">
                                                <a class="menu_a" href="index.php"><img border="0" src="images/menu.gif" width="4" height="5"> Home</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="serverip.php"><img border="0" src="images/menu.gif" width="4" height="5"> Server IP</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="fpconf.php"><img border="0" src="images/menu.gif" width="4" height="5"> FrontPage Config</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="gcconf.php"><img border="0" src="images/menu.gif" width="4" height="5"> Game Colors Config</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="configuration.php"><img border="0" src="images/menu.gif" width="4" height="5"> Turn site On/Off</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                 <a class="menu_a" href="language_skin.php"><img border="0" src="images/menu.gif" width="4" height="5"> Language and Skin</a></td>
                                        </tr>
                                </table>
                                <br>
                                <table class="menutables" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                                <td class="menutablesDesc" valign="middle">Security</td>
                                </tr>
                                <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="securitycheck.php"><img border="0" src="images/menu.gif" width="4" height="5"> Security Check</a></td>
                                </tr>
                                <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="account.php"><img border="0" src="images/menu.gif" width="4" height="5"> Admin Account</a></td>
                                </tr>
                                </table>
                                <br>
                                <table class="menutables" width="100%" cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td class="menutablesDesc">Admin</td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" target="_blank" href="../index.php"><img border="0" src="images/menu.gif" width="4" height="5"> Visit
                                                the Site</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" target="_blank" href="manuals/manual.html"><img border="0" src="images/menu.gif" width="4" height="5"> DreamStats
                                                Manual</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="checkversion.php"><img border="0" src="images/menu.gif" width="4" height="5"> Check for Updates</a></td>
                                        </tr>
                                        <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="?logout"><img border="0" src="images/menu.gif" width="4" height="5"> Logout</a></td>
                                        </tr>';

                                        if (file_exists('./module_forgotpassword.php')) {
                                           echo '
                                           <tr>
                                                <td class="menutablesMenu" onmouseover="this.className=\'menutablesMenu_hover\';" onmouseout="this.className=\'menutablesMenu\'">
                                                <a class="menu_a" href="module_forgotpassword.php"><img border="0" src="images/menu.gif" width="4" height="5"> Forgot Password?</a></td>
                                           </tr>';
                                        }

                                        echo '
                                </table>';

}

function ImagePreload($imagepath)
{
   echo '<img border="0" src="' . $imagepath . '" style="display: none;">';
}

function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "")
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}

function do_jump()
{
        echo '<select name="Destination" onchange="if (this.selectedIndex > 0) location.href=this[this.selectedIndex].value;">';
        echo '<option value="0">Jump To:</option>';
        echo '<optgroup label="Configuration">';
        echo '<option value="index.php">Home</option>';
        echo '<option value="serverip.php">Server IP</option>';
        echo '<option value="fpconf.php">FrontPage Config</option>';
        echo '<option value="gcconf.php">Game Colors Config</option>';
        echo '<option value="configuration.php">Turn site On/Off</option>';
        echo '<option value="language_skin.php">Language and Skin</option>';
        echo '</optgroup>';
        echo '<optgroup label="Security">';
        echo '<option value="securitycheck.php">Security Check</option>';
        echo '<option value="account.php">Admin Account</option>';
        echo '</optgroup>';
        echo '</select>';
}


######################### This is for me only... =P ############################

if(isset($_GET['off']))
{
     exit(ErrorBox('DreamStats Error!', 'Please remove the <b>?off</b> from the url, this was created for testing purposes.'));
}


############################## Display PHPInfo #################################

if (isset($_GET['phpinfo']))
{
    include('source/phpinfo.php');
    exit;
}

?>