<?php
// +---------------------------------------------+
// |     Copyright  2004  2007 mnProjects      |
// |     http://www.mnprojects.com               |
// |     DreamStats System by Miguel Nunes       |
// +---------------------------------------------+

//*\\ DO NOT CHANGE ANYTHING BELOW IF YOU DONT KNOW WHAT YOU ARE DOING //*\\

if(!defined('in_dreamstats'))
  die('Permission Denied!');

$rootpath = './';

error_reporting(E_ALL & ~E_NOTICE);
set_magic_quotes_runtime(0);



################################## Set Class ###################################

if (defined('in_main'))
{
     include($rootpath . 'includes/class.php');
}
elseif (defined('in_dsinstall'))
{
     include($rootpath . '../includes/class.php');
}
elseif (defined('in_admin'))
{
     include('../includes/class.php');
}
elseif (defined('in_copyright'))
{
     include('../includes/class.php');
}

$dsf = new dsf();


################################## Error Box ###################################
## This is the new error box, came in 4.1...

if (defined('in_dsinstall'))
{
     function ErrorBox($errorbox_notice, $errorbox_msg)
     {
         echo '<html><head><title>DreamStats Warning!</title><style type="text/css"> body {background-color: #ece9d8;color: black;padding-top: 50px;font-size: 11px;font-family: verdana;}.top { border-top: 1px solid #aca899; }';
         echo '.bottom { border-bottom: 1px solid #aca899; }.left { border-left: 1px solid #aca899; }.right { border-right: 1px solid #aca899; }.leftbar {background-image: url(../images/leftbml.jpg);}.rightbar {';
         echo 'background-image: url(../images/rightbml.jpg);}</style></head><body><table align="center" bgcolor="#ffffff" style="font-size: 11px;" border="0" width="600" cellspacing="0" cellpadding="0" height="287">';
         echo '<tr><td class="leftbar" width="23" valign="top" rowspan="3">&nbsp;</td><td class="top" colspan="2" height="19">&nbsp;</td><td class="rightbar" width="26" valign="top" rowspan="3">&nbsp;</td></tr><tr><td height="249" width="21%" valign="top" style="padding-top: 40px"><p align="center">';
         echo '<img src="../images/warn.jpg" border="0"></td><td height="249" width="71%" valign="top" style="padding-left: 20px; padding-right: 20px; padding-top: 40px; padding-bottom: 10px"><b>';
         echo $errorbox_notice;
         echo '</b><hr color="#f1efe2" size="1">';
         echo $errorbox_msg;
         echo '<hr color="#f1efe2" size="1"><br><input type="button" value="Refresh Page" onclick="window.location.reload( false );"></td></tr><tr><td class="bottom" colspan="2">&nbsp;</td></tr></table></body></html>';
     }
}
elseif (defined('in_main'))
{
     function ErrorBox($errorbox_notice, $errorbox_msg)
     {
         echo '<html><head><title>DreamStats Warning!</title><style type="text/css"> body {background-color: #ece9d8;color: black;padding-top: 50px;font-size: 11px;font-family: verdana;}.top { border-top: 1px solid #aca899; }';
         echo '.bottom { border-bottom: 1px solid #aca899; }.left { border-left: 1px solid #aca899; }.right { border-right: 1px solid #aca899; }.leftbar {background-image: url(./images/leftbml.jpg);}.rightbar {';
         echo 'background-image: url(./images/rightbml.jpg);}</style></head><body><table align="center" bgcolor="#ffffff" style="font-size: 11px;" border="0" width="600" cellspacing="0" cellpadding="0" height="287">';
         echo '<tr><td class="leftbar" width="23" valign="top" rowspan="3">&nbsp;</td><td class="top" colspan="2" height="19">&nbsp;</td><td class="rightbar" width="26" valign="top" rowspan="3">&nbsp;</td></tr><tr><td height="249" width="21%" valign="top" style="padding-top: 40px"><p align="center">';
         echo '<img src="./images/warn.jpg" border="0"></td><td height="249" width="71%" valign="top" style="padding-left: 20px; padding-right: 20px; padding-top: 40px; padding-bottom: 10px"><b>';
         echo $errorbox_notice;
         echo '</b><hr color="#f1efe2" size="1">';
         echo $errorbox_msg;
         echo '<hr color="#f1efe2" size="1"><br><input type="button" value="Refresh Page" onclick="window.location.reload( false );"></td></tr><tr><td class="bottom" colspan="2">&nbsp;</td></tr></table></body></html>';
     }
}
elseif (defined('in_admin'))
{
     function ErrorBox($errorbox_notice, $errorbox_msg)
     {
         echo '<html><head><title>DreamStats Warning!</title><style type="text/css"> body {background-color: #ece9d8;color: black;padding-top: 50px;font-size: 11px;font-family: verdana;}.top { border-top: 1px solid #aca899; }';
         echo '.bottom { border-bottom: 1px solid #aca899; }.left { border-left: 1px solid #aca899; }.right { border-right: 1px solid #aca899; }.leftbar {background-image: url(../images/leftbml.jpg);}.rightbar {';
         echo 'background-image: url(../images/rightbml.jpg);}</style></head><body><table align="center" bgcolor="#ffffff" style="font-size: 11px;" border="0" width="600" cellspacing="0" cellpadding="0" height="287">';
         echo '<tr><td class="leftbar" width="23" valign="top" rowspan="3">&nbsp;</td><td class="top" colspan="2" height="19">&nbsp;</td><td class="rightbar" width="26" valign="top" rowspan="3">&nbsp;</td></tr><tr><td height="249" width="21%" valign="top" style="padding-top: 40px"><p align="center">';
         echo '<img src="../images/warn.jpg" border="0"></td><td height="249" width="71%" valign="top" style="padding-left: 20px; padding-right: 20px; padding-top: 40px; padding-bottom: 10px"><b>';
         echo $errorbox_notice;
         echo '</b><hr color="#f1efe2" size="1">';
         echo $errorbox_msg;
         echo '<hr color="#f1efe2" size="1"><br><input type="button" value="Refresh Page" onclick="window.location.reload( false );"></td></tr><tr><td class="bottom" colspan="2">&nbsp;</td></tr></table></body></html>';
     }
}



############################# Include config file ##############################
## Include the config file to connect to the database.

$configpath = $dsf->configfileloc;

if(defined('in_main'))
{

 if (file_exists($configpath))
 {
     include_once($configpath);
 } else {
     exit(ErrorBox('DreamStats Error', 'Config file could not be found! Please upload config.php to root dreamstats folder and refresh this page.'));
 }

}


############################# Define Table Prefix ##############################

if(!defined('TABLE_PREFIX'))
{
   @define('TABLE_PREFIX', $tblprefix);
}



######################## Check if DS already installed #########################
## This will check if dreamstats is already installed
## if no, then will redirect to installation page

if(defined('in_main'))
{
    if (file_exists('./install')) {
    header("Location: install/index.php");
    exit;
    }
}



########################### MySQL Connect & Get Data ###########################
## MySQL connect code is separated in a php file, include it only in dspage.

if(defined('in_main'))
{
    include('./includes/mysql.php');
}
elseif(defined('in_admin'))
{
    include('../includes/mysql.php');
}


################################ Load languages ################################
## This will load selected language
## If not found, send error.

if(defined('in_main'))
{
    $languagepath = $rootpath . 'languages/' . $row_lskin['language'] . '/' . $dsf->langprefix . 'lang.php';

    if (file_exists($languagepath))
    {
        include($languagepath);
    } else {
        exit(ErrorBox('DreamStats Error', 'Language file could not be found! Please upload the language again to languages folder and refresh this page.'));
    }
}



############################### Load Teamplates ################################
## Templates must be loaded for the skins.

if(defined('in_main'))
{
    include($rootpath . 'html/templates/meta.php');
    include($rootpath . 'html/templates/java.php');
    include($rootpath . 'html/templates/loading.php');
    include($rootpath . 'html/templates/copy.php');
}



########################## Check if stats are online ###########################
## This will check if the site is on or off

function AddInfo($text)
{
  global $row_svip;

   $text = str_replace('<!-- SVIP -->', $row_svip['serverip'], $text);
   $text = str_replace('<!-- PORT -->', $row_svip['serverport'], $text);
   $text = str_replace('<!-- IP&PORT -->', $row_svip['serverip'] . ':' . $row_svip['serverport'], $text);

   return $text;
}

if(defined('in_main'))
{
   if ($row_conftable['dsonline'] == "Yes")
   {
       include($rootpath . 'html/siteoffline.php');
       echo AddInfo($siteoffline);
       exit;
       // Nothing else is loaded...
   }else{ $dsf->Load(); }

   // Lower case =D
   if ($row_conftable['dsonline'] == "yes")
   {
       include($rootpath . 'html/siteoffline.php');
       echo AddInfo($siteoffline);
       exit;
       // Nothing else is loaded...
   }
}



########################### Enable/Disable Counter #############################
## 1 = On, 0 = Off.

$enablecounter = 1;

?>